=== debian/changelog ===
knights (2.0.1-2) unstable; urgency=low

  * Upload to unstable. (Closes: #604334, #591562, #528348, #366183)
  * Point debian/control Vcs fields to the new Git repository.
  * Bump Standards-Version to 3.9.1, no changes needed.
  * Move manpage to section 6 since this software is a game.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Feb 2011 21:59:24 +0100

knights (2.0.1-1) experimental; urgency=low

  * New upstream release.
  * Set myself as Uploader and Debian KDE Extras Team as Maintainer.
    (Closes: #512524)
  * Switch debian/rules to cdbs.
  * Updated Build-Depends:
    - Added: cdbs, pkg-kde-tools, cmake, kdelibs5-dev, libkdegames-dev
    - Removed: kdelibs4-dev, dpatch, poxml, imagemagick, libx11-dev,
      libxext-dev, libxinerama-dev, libxpm-dev, x-dev
  * Updated Depends:
    - Added: ${misc:Depends}
    - Removed: kdebase-kio-plugins
  * Updated Suggests and Recommends:
    - moved gnuchess from Suggests to Recommends
    - removed crafty, sjeng, knights-themepack
  * Set dephelper compatibility level to 7.
  * Switch to dpkg source format 3.0 (quilt).
  * Updated description and homepage.
  * Delete debian/watch for now because upstream is not using
    sourceforge anymore.
  * Updated debian/copyright.
  * Updated debian/knights.1 manpage.
  * Bump Standards-Version to 3.8.4.
  * Dropped obsolete patches:
    - 01_gcc-4.0-fix.dpatch
    - 02_de.po.dpatch
    - 03_noGPLonload.dpatch
    - 04_qt3_headers.dpatch
  * Added patch 01_add_categories_to_desktop_file.diff
  * Removed obsolete and uneccesary files debian/debiandirs debian/docs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Jun 2010 12:21:13 +0200

knights (0.6-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop obsolete QT compat headers, patch by Barry deFreese
    (Closes: #464630)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 02 Apr 2008 22:45:54 +0200

knights (0.6-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Fix bashism. (Closes: #459084)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon, 28 Jan 2008 00:00:08 +0100

knights (0.6-8) unstable; urgency=low

  * New Mantainer. (Closes: #439531)
  * debian/watch: Updated to version 3.
  * debian/control:
    - Build-Depends: debhelper (>= 5.0.0).
    - Suggests: knights-themepack
  * debian/compat: DH_COMPAT 5.
  * debian/rules: copy updated config.guess and config.sub files to admin
    directory.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Thu, 06 Sep 2007 18:31:36 -0300

knights (0.6-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't send the "st" (search time limit) command when using xboard to talk
    to chess engines; it makes some chess engines confused wrt. how much time
    they should spend on each move. Patch from Alex Midgley. (Closes: #366181)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 29 Aug 2006 00:41:44 +0200

knights (0.6-7) unstable; urgency=low

  * debian/control: added kdebase-kio-plugins to Depends field.
    This allow users without kde installations to be able to load knights
    themes. (Closes: #361451)
  * Added a dpatch (courtesy of Claudio Moratti) to prevent knights from asking
    to agree to GPL in order to install it. (Closes: #360847)
  * debian/control: Standards-Version bumped to 3.7.2 (no changes required).
  
 -- Tommaso Moroni <moronito@debian.org>  Sun, 28 May 2006 16:29:36 +0200

knights (0.6-6) unstable; urgency=low

  * Rebuild against kdelibs4c2a. (Closes: #338269)
  * debian/control: build-depends on specific libraries instead of xlibs-dev.

 -- Tommaso Moroni <moronito@debian.org>  Sun,  4 Dec 2005 11:55:42 +0100

knights (0.6-5) unstable; urgency=low

  * Installed a menu icon, thanks to Steffen Joeris 
    for the patch. (Closes: #333383)
  * debian/rules: removes po/de.gmo during cleaning and restores original
    doc/Makefile.in to allow multiple builds from the same source.
    Thanks to Steffen Joeris for the help. (Closes: #333386)
  
 -- Tommaso Moroni <moronito@debian.org>  Sun, 23 Oct 2005 17:51:37 +0200

knights (0.6-4) unstable; urgency=low

  * Rebuild for C++-4.0 ABI transition and for libjack0.80.0 removal. (Closes: #317207)
  * debian/patches: added corrections to the German PO file, 
    thanks to Jens Seidel. (Closes: #314004)
  * debian/control: Standards-Version bumped to 3.6.2 (no changes required).
    
 -- Tommaso Moroni <moronito@debian.org>  Sun, 11 Sep 2005 16:53:42 +0200

knights (0.6-3) unstable; urgency=low

  * debian/patches: added a patch to allow compilation with g++-4.0, 
    thanks to Andreas Jochens. (Closes: #300362)

 -- Tommaso Moroni <moronito@debian.org>  Sun, 20 Mar 2005 17:44:17 +0100

knights (0.6-2) unstable; urgency=low

  * debian/control: added xlibs-dev to the build-depends. (Closes: #300139)
  * debian/rules: added --enable-libsuffix= to configure command, so on some archs
    /lib64 isn't assumed as the only library directory suffix.
  * debian/copyright: made distinction between license and copyright.

 -- Tommaso Moroni <moronito@debian.org>  Fri, 18 Mar 2005 18:40:20 +0100

knights (0.6-1) unstable; urgency=low

  * Initial Release. (closes: #136271)

 -- Tommaso Moroni <moronito@debian.org>  Thu, 23 Dec 2004 11:20:19 +0100
