=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 7), cdbs, pkg-kde-tools, cmake, kdelibs5-dev (>> 4:4.4),
 libkdegames-dev (>> 4:4.4)
Standards-Version: 3.9.1
Homepage: http://kde-apps.org/content/show.php/Knights?content=122046
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/knights.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/knights.git

Package: knights
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuchess
Description: A chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer. 
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.
