=== doc/CMakeLists.txt ===
add_subdirectory(pt_BR)
add_subdirectory(et)
add_subdirectory(uk)
add_subdirectory(nl)
add_subdirectory(en_US)
