=== debian/changelog ===
knights (2.3.2-1) unstable; urgency=low

  * New upstream release.
  * Add load_right_default_theme.diff to prevent issues when you have configured
    a theme that doesn't exist (may happen easily with obsolete themes).

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 30 May 2011 21:39:08 +0200

knights (2.3.1-2) experimental; urgency=low
 
  * Remove 02_no_hotnewstuff.diff since knights GHNS is suposed to work
    fine with KDE 4.6 libraries.
  * Bump kdelibs5-dev, libkdegames-dev build dependencies to 4.6 because of the
    patch mentioned in the previous changelog entry.
  * Bump Standards-Version to 3.9.2; no changes needed.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 04 May 2011 21:10:20 +0200

knights (2.3.1-1) unstable; urgency=low

  * New upstream release.
  * Update patches:
    - Remove 03_dont_crash_fics.diff, no longer needed.
    - Remove 04_stop_clock_game_over.diff, no longer needed.
  * Add sjeng to Suggests.
  * Add crafty to Suggests.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 22 Mar 2011 17:09:46 +0100

knights (2.2.0-2) unstable; urgency=low

  * Provide a default.desktop symlink to make knights work even if the
    desktop file for the configured theme doesn't exist (this could easily
    happen if you're upgrading from knights 0.6 among other reasons).
  * Remove the starting article from short description.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 02 Mar 2011 22:32:04 +0100

knights (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Remove 01_add_categories_to_desktop_file.diff, no longer needed.
  * Add 02_no_hotnewstuff.diff.
  * Add 03_dont_crash_fics.diff.
  * Add 04_stop_clock_game_over.diff.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 25 Feb 2011 21:37:40 +0100
