=== debian/rules ===
#!/usr/bin/make -f

DEB_KDE_LINK_WITH_AS_NEEDED := yes
DEB_CMAKE_EXTRA_FLAGS += -DBIN_INSTALL_DIR=/usr/games
DEB_DH_INSTALL_ARGS += debian/knights.xpm /usr/share/pixmaps

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk

debian/knights.xpm: icons/hi32-app-knights.png
	convert $< $@
