=== po/CMakeLists.txt ===
--- 
+++ 
@@ -8,32 +8,32 @@
 add_subdirectory(ca@valencia)
 add_subdirectory(da)
 add_subdirectory(el)
-add_subdirectory(ms)
-add_subdirectory(hu)
+add_subdirectory(bs)
 add_subdirectory(sv)
 add_subdirectory(de)
+add_subdirectory(gl)
 add_subdirectory(pt_BR)
-add_subdirectory(sk)
-add_subdirectory(ja)
+add_subdirectory(nb)
 add_subdirectory(it)
+add_subdirectory(km)
 add_subdirectory(sr@latin)
+add_subdirectory(pl)
 add_subdirectory(et)
 add_subdirectory(uk)
 add_subdirectory(fi)
 add_subdirectory(nds)
 add_subdirectory(sr)
-add_subdirectory(ml)
 add_subdirectory(cs)
 add_subdirectory(zh_TW)
 add_subdirectory(pt)
 add_subdirectory(sr@ijekavian)
 add_subdirectory(nl)
 add_subdirectory(lt)
-add_subdirectory(ro)
+add_subdirectory(sl)
+add_subdirectory(nn)
 add_subdirectory(fr)
 add_subdirectory(ca)
 add_subdirectory(es)
 add_subdirectory(sr@ijekavianlatin)
+add_subdirectory(ga)
 add_subdirectory(ru)
-add_subdirectory(en_GB)
-add_subdirectory(eo)
