=== debian/changelog ===
knights (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix typo in the description of knights-dbg. (Closes: #724819)
  * Remove menu file and its pixmap, as knights already provides a desktop
    file.
  * Migrate to the dh sequencer:
    - use the dh sequencer in rules, using the kde addon, with parallel build,
      and in as-needed mode
    - drop the cdbs build dependency
  * Bump Standards-Version to 3.9.6, no changes required.
  * Explicitly install to debian/knights, instead of the default debian/tmp
    followed by moves by dh_install.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Nov 2015 12:45:20 +0100

knights (2.5.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Update knights.xpm.
  * Bump the kdelibs5-dev and libkdegames-dev build dependencies to 4.9,
    as required upstream.
  * Update Vcs-* headers.
  * Bump Standards-Version to 3.9.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jul 2013 16:35:21 +0200

knights (2.4.2-1) experimental; urgency=low

  * New upstream release.
  * Delete load_right_default_theme.diff, applied upstream.
  * Bump debhelper compatibility level to 9.
  * Move sjeng from Suggests to Recommends.
  * Add stockfish to Recommends.
  * Add knights-dbg package.
  * Bump Standards-Version to 3.9.3; no changes needed.
  * Update copyright file.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 12 Sep 2012 23:49:48 +0200
