=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 9.0.0~), pkg-kde-tools, cmake,
 kdelibs5-dev (>> 4:4.9),
 libkdegames-dev (>> 4:4.9)
Standards-Version: 3.9.6
Homepage: http://kde-apps.org/content/show.php/Knights?content=122046
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/knights.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/knights.git

Package: knights
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuchess, stockfish, sjeng
Suggests: crafty
Description: chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer. 
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.

Package: knights-dbg
Section: debug
Priority: extra
Architecture: any
Depends: knights (= ${binary:Version}), ${misc:Depends}
Description: chess interface for the KDE Platform - debugging symbols
 Knights aims to be the ultimate chess resource on your computer. 
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.
 .
 This package provides debugging symbols for knights.
