=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DBIN_INSTALL_DIR=/usr/games

override_dh_auto_install:
	dh_auto_install --destdir=debian/knights

override_dh_strip:
	dh_strip --dbg-package=knights-dbg
