## knights 18.12.0

=== debian/changelog ===
knights (18.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch the watch file to stable releases, now that there are.

 -- Pino Toscano <pino@debian.org>  Mon, 17 Dec 2018 13:30:39 +0100

knights (18.11.90-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Make sure to use the kf5 buildsystem when invoking dh_auto_configure.

 -- Pino Toscano <pino@debian.org>  Fri, 30 Nov 2018 22:38:19 +0100

knights (18.11.80-1) unstable; urgency=medium

  * Team upload.
  * New upstream development release: (Closes: #874962) (LP: #1757703)
    - now part of KDE Applications, so adopt its versioning
  * Switch Vcs-* fields to salsa.debian.org.
  * Remove knights-dbg in favour of the -dbgsym package
    - stop forcing --destdir for dh_auto_install, as there is only one binary
      now
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Drop the Debian-provided knights man page, as knights does not really have
    command line options.
  * Remove trailing whitespaces in changelog, and control.
  * Remove empty line at the end of changelog.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Add a watch file.
  * Add the upstream GPG signing key.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, and libkdegames-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5svg5-dev,
      libqt5texttospeech5-dev, libkf5configwidgets-dev, libkf5crash-dev,
      libkf5dbusaddons-dev, libkf5doctools-dev, libkf5kio-dev, libkf5plasma-dev,
      libkf5plotting-dev, libkf5textwidgets-dev, libkf5xmlgui-dev,
      libkf5wallet-dev, and libkf5kdegames-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Switch the Homepage to kde.org.
  * Switch Maintainer to Debian Qt/KDE Maintainers.
  * Bump the cmake build dependency to >= 3.2.0, as indicated by the upstream
    build system.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Nov 2018 22:20:19 +0100
