## knights 18.12.3

=== debian/changelog ===
knights (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:30:45 +0000

knights (18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)
  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 21 Feb 2019 12:11:49 +0000
