=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libkf5crash-dev (>= 5.30.0~),
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:18.12.3~),
+               libkf5kdegames-dev (>= 4:19.04.3~),
                libkf5kio-dev (>= 5.30.0~),
                libkf5plasma-dev (>= 5.30.0~),
                libkf5plotting-dev (>= 5.30.0~),
